### Method

# Ggit Commit get_nth_ancestor

#### Declaration [src]

    GgitCommit*
    ggit_commit_get_nth_ancestor (
      GgitCommit* commit,
      guint n,
      GError** error
    )

#### Description [src]

Gets the commit object that is the n-th generation ancestor of the named commit object, following only the first parents. Passing `0` to the `n` parameter returns another instance of `commit`.

#### Parameters

`n`

  Type: `guint`

  The requested ancestor.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitCommit`

The `n` ancestor commit.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.